Subject: Re: What's cooking in git.git (Sep 2021, #02; Wed, 8)

From: Junio C Hamano <[email-masked]>
Date: Wed, 08 Sep 2021 12:23:57 -0700

Taylor Blau <[email-masked]> writes:

> On Wed, Sep 08, 2021 at 08:38:55AM -0700, Junio C Hamano wrote:
>> * tb/pack-finalize-ordering (2021-09-07) 2 commits
>>  - builtin/repack.c: move `.idx` files into place last
>>  - pack-write.c: rename `.idx` file into place last
>>
>>  The order in which various files that make up a single (conceptual)
>>  packfile has been reevaluated and straightened up.  This matters in
>>  correctness, as an incomplete set of files must not be shown to a
>>  running Git.
>>
>>  Will merge to 'next'?
>
> Ævar has a series [1] that complements this one nicely, so I would be
> happy to see them both queued.
>
> I had some suggestions inline, but I don't feel strongly about whether
> or not they are implemented.

I hate to see multiple folks "competing" in the overlapping area,
each getting reviews and responding or not responding at their own
pace.  That would force me to keep track of which one is which and
what their doneness are independently.

Do you mind if I nominate you the team leader to come up with a
single series that is polished to be mergeable to 'next'?

Thanks.